Subject: bug#32717: 26.1; Wheel-mouse down-scrolling leads to almost scroll a buffer out of its frame

From: Konrad Podczeck <[email-masked]>
Date: Wed, 12 Sep 2018 19:24:43 +0200

> Am 12.09.2018 um 19:05 schrieb Eli Zaretskii <[email-masked]>:
> 
>> From: Konrad Podczeck <[email-masked]>
>> Date: Wed, 12 Sep 2018 18:46:19 +0200
>> Cc: [email-masked]
>> 
>>> This is a feature.  (Other applications behave like that, and there
>>> were enough Emacs users who wanted a similar behavior in Emacs.)  If
>>> you don't like this behavior, customize the variable
>>> scroll-bar-adjust-thumb-portion to the nil value.
>> 
>> Doing this has no effect. Maybe because I use the NS-port: The documentation of this variable speaks of GTK and Motif ports.
> 
> If you are using NS, then I guess this is how the respective toolkit
> works?  Or maybe someone would like to implement
> scroll-bar-adjust-thumb-portion support for NS?

Does „toolkit“ means something coming from  Emacs, or, in may case, something coming from Apple? I ask this because May apps typically behave without „scrolling a buffer almost out of its frame."